@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');

* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    outline: none;
    font-family: 'Roboto', sans-serif;
}

:root {
    --lightblue: #2a91a3;
    --blue: #00285F;
    --gray: #EDEDED;
}

html, body {
    width: 100%;
    overflow-x: hidden;
}

header {
    width: 100%;
    height: 500px;
    background: var(--lightblue);
}
.content {
    max-width: 1000px;
    min-width: 300px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    padding: 10px;
    
}

nav {
    width: 100%;
    height: 125px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}
.brand {
    font-size: 24px;
    color: var(--blue);
    cursor: pointer;
}
nav ul {
    display: flex;
    flex-direction: row;
}

nav ul li {
    list-style: none;
    padding: 10px;
    cursor: pointer;
}

nav ul li a {
    color: var(--blue);
    text-decoration: none;
}

nav ul li a:hover {
    color: #00285F83;
}

nav ul button {
    border: 1px solid var(--blue);
    background: transparent;
    padding: 8px 40px;
    cursor: pointer;
    margin-left: 30px;
    color: var(--blue);
    font-weight: bold;
    border-radius: 4px;
}

nav ul button:hover {
    transition: background, color 0.6s;
    background: var(--blue);
    color: white;
}

.content .header-block {
    max-width: 1000px;
    min-width: 300px;
    height: 450px;
    background: var(--blue);
    border-radius: 8px;
    box-shadow: 1px 0px 10px 0px rgba(0, 0, 0, 0.5) ;
    -webkit-box-shadow: 1px 0px 10px 0px rgba(0, 0, 0, 0.5) ;
    -moz-box-shadow: 1px 0px 10px 0px rgba(0, 0, 0, 0.5) ;
    position: relative;
    z-index: 10;
    padding: 10px;
}

.header-block img {
    width: 50%;
    position: absolute;
    right: 2%;
    bottom: 2%;
}

.header-block .text {
    position: absolute;
    bottom: 30%;
    left: 15%;
}

.header-block .text h2 {
    color: white;
    margin-bottom: 20px;
    text-align: right;
    transform: translateX(-20px);
    transition: transform 0.5s;
}

.header-block .text p {
    max-width: 280px;
    color: white;
    text-align: right;
    transform: translateX(-20px);
    transition: transform 0.4s;
}

/*    page catalogo                          */

section .catalog {
    width: 100vw;
    padding: 100px;
}
  
section .filter-card {
    width: 980px;
    height: 150px;
    background: var(--lightblue);
    border-radius: 8px;
    margin: 0 auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}
  
.search-input {
    width: 700px;
    height: 50px;
    border: none;
    border-radius: 4px 0px 0px 4px;
    text-indent: 10px;
}
  
.search-button {
    width: 150px;
    height: 50px;
    border-radius: 0px 4px 4px 0px;
    border: none;
    background: var(--blue);
    color: white;
    cursor: pointer;
    font-size: 1.1em;
    transition: 0.2s ease;
}
  
.search-button:hover {
    background: #dedede;
    color: var(--blue);
}
  
.title-wrapper-catalog {
    margin-top: 200px;
    padding-bottom: 20px;
}
  
section .card-wrapper {
    max-width: 1000px;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(270px, 1fr));
    grid-gap: 30px;
    padding-top: 50px;
}
  
section .card-item {
    height: 400px;
    background: var(--gray);
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
}
  
.card-content {
    height: 40%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
}
  
.card-item img {
    width: 245px;
    padding: 20px 20px 30px 20px;
    text-align: center;
}
  
.card-item h4 {
    width: 90%;
}
  
.card-item p {
    width: 90%;
    font-style: italic;
    color: #00000070;
}
  
.card-item button {
    width: 90%;
    padding: 15px 0px;
    border: none;
    background: var(--blue);
    border-radius: 4px;
    color: white;
    font-weight: bold;
    font-size: 1.1em;
    cursor: pointer;
    transition: 0.3s ease;
    margin-bottom: 10px;
}
  
.card-item button:hover {
    background: #dedede;
    color: var(--blue);
}

/*  sobre  */

.sobre {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 50px 10px;
}

.sobre-content {
    max-width: 1000px;
    min-width: 300px;
    height: 600px;
    background: #dedede3b;
    margin: 0 auto;
    border-radius: 8px;
    z-index: 10px;
    padding: 10px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.left {
    width: 25%;
    min-width: 300px;
    height: 100%;
    border-radius: 8px;
    background: #000000a1;
    
}

.right {
    width: 65%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    padding-top: 10%;
}

.right h3 {
    text-align: right;
    width: 90%;
    margin-bottom: 20px;
}

.right p {
    max-width: 90%;
    font-size: 1em;
    letter-spacing: 2px;
    text-align: right;
    color: rgba(0, 0, 0, 0.4);
}

/* Recursos */

.recurso {
    width: 100%;
    height: 100%;
    background: var(--gray);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 50px 0;
}
.title-wrapper-recurso {
    padding: 20px 0px;
}

.recurso-card-block {
    max-width: 1000px;
    min-width: 300px;
    height: 600px;
    background:white;
    margin: 0 auto;
    border-radius: 8px;
    z-index: 10px;
    padding: 50px;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(420px, 1fr));
    grid-gap: 30px;
}

.recurso-card-item {
    max-width: 420px;
    height: 150px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
    border: 1px solid #dedede3b;
    border-radius: 4px;

}

.recurso-text-content {
    max-width: 60%;
    margin: 5px;
}

.recurso-card-item img {
    width: 64px;
    height: 64px;
}

/* Footer */

footer {
    width: 100%;
    height: 250px;
}

footer .main {
    width: 100%;
    height: 200px;
    background: var(--lightblue);
    padding: 20px 10px;
}

.footer-link {
    max-width: 1000px;
    min-width: 300px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-top: 20px;
}

.footer-company, .footer-rental, .footer-social, .footer-contact {
    color: white;
    height: 100%;
    min-height: 100px;

}

.footer-link h4 {
    margin-bottom: 10px;
}

.footer-link {
    margin-bottom: 8px;
}

.main .footer-social img {
    width: 32px;
    height: 32px;
}

footer .last {
    width: 100%;
    height: 50px;
    background: var(--blue);
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Ajustes responssivo */

@media (max-width: 576px) {
    nav ul li {
        display: none;

    }

    .header-block img {
        width: 70%;
        position: absolute;
        right: 16%;
        top: 30%;

    }

    .header-block .text {
        position: absolute;
        bottom: 10%;
        left: 15;

    }

    section .filter-card {
        width: 370px;
        padding: 0px 10px;
    }

    .search-input {
        max-width: 700px;
        min-width: 240px;
        

    }
    .search-button {
        max-width: 10px;
        min-width: 80px;
    }

    .sobre {
        margin-top: 100px;

    }

    .title-wrapper-sobre {
        margin-bottom: 20px;
    }

    .sobre-content {
        flex-direction: column;
        height: 100%;
    }

    .left {
        display: none;
    }

    .right {
        width: 90%;

    }

    .right p {
        width: 100%;
        margin: 0px;
        text-align: left;
    }

    .recurso {
        height: 100%;
    }

    .recurso-card-block {
        height: 100%;
        display: flex;
        flex-direction: column;
    }

    footer {
        height: 100%;

    }

    footer .main {
        height: 100%;
    }

    .footer-link {
        flex-direction: column;
        padding-left: 10%;
        
    }
}
